<?xml version="1.0"  encoding="utf-8" ?>

<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>

<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" >
	<xsl:output method="html" encoding="UTF-8" />
	<xsl:param name="cat"/>
        <xsl:param name="highercat"/>
        <xsl:param name="offset" select="0" />
	<xsl:param name="itemsPerPage" select="21" />
    <xsl:param name="searchTerms"/>
    <xsl:strip-space elements="..."/>
    <xsl:preserve-space elements="..."/>

<!-- template rule matching source root element -->
<xsl:template match="/">
<xsl:for-each select="./IAMProductListRS">
<h1>Search Results for: <xsl:value-of select="$searchTerms"/></h1>
<br /><form name="search" method="post" action="/SearchResults_1.jsp"> 
<table align="center" id="search"> 
			  <tr>
			  <td class="tblhead">Refine your search</td>
			  </tr>
                  <tr> 
                    <td >
                        <input name="Desc" type="hidden" id="Desc"  value="on"/>
                        Search Term: <input name="NAME" type="text" id="NAME" size="26" value="{$searchTerms}"/>
                        
                        
                    </td> 
                  </tr> 
                  <tr> 
                    <td >
                        <xsl:if test="normalize-space(//Vendors)">
                        Vendor: <select name="Vendor">
                        <option value="">all</option>
                        <xsl:for-each select="//Vendors/VendorRef">
                        <option value="{ListID}"><xsl:value-of select="FullName"/></option>
                        </xsl:for-each>
                        </select>
                        </xsl:if>
                    </td> 
                  </tr> 
                  <tr><td><input type="submit" name="Submit" value="GO" class="gobutton"/></td></tr>
      </table> </form>
<!-- begin item list -->	
<xsl:if test="normalize-space(./Item)">
<br />
    <table cellspacing="0" cellpadding="0" border="0" width="100%" id="productlist" >
		 <tr>
             <td class="tblhead" align="center"> 
             <!-- start page list -->
               <table width="100%" border="0" cellpadding="2" cellspacing="0">
                <tr>
                <td align="left">Showing results <xsl:value-of select="$offset + 1"/> to 
                <xsl:choose>
                <xsl:when test="(number($offset) + number($itemsPerPage)) &gt; count(//Item)">
                	<xsl:value-of select="count(//Item)"/>
                </xsl:when>
                <xsl:otherwise>
                	<xsl:value-of select="number($offset) + number($itemsPerPage)"/>
                </xsl:otherwise>
                </xsl:choose>
                 of <xsl:value-of select="count(//Item)"/></td>
                
                     <td align="right">Pages: 
                      <xsl:for-each select="//Item">
                      <xsl:if test="position() = 1">
                        <a href="/SearchResults_1.jsp?Desc=on&amp;NAME={$searchTerms}">1</a>&nbsp;
                      </xsl:if>
                        <xsl:if test="position() mod number($itemsPerPage) = 0 ">
                          <a href="/SearchResults_1.jsp?Desc=on&amp;NAME={$searchTerms}&amp;offset={position()}">
                                <xsl:value-of select="position() div number($itemsPerPage) + 1"/>
                          </a>&nbsp;
                        </xsl:if> 
                  </xsl:for-each>     </td>
                </tr>
               </table>
                <!-- end page list -->
            </td>
    </tr>	
	<tr><td>
      	<xsl:for-each select="./Item">
      	<xsl:choose>
	<xsl:when test="position() &lt; number($offset) + 1 or position() &gt; (number($offset) + number($itemsPerPage))">
	<!--item out of range-->
	</xsl:when >
	<xsl:otherwise>
		<div class="categoryProduct">
					
		 <xsl:if test="normalize-space(./ItemImageThumb)">
                    <div align="center"><a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><img src="/product_images/{./ItemImageThumb}" alt="{./DisplayDesc}" border="0" class="frame"/></a><br /> </div>
                    </xsl:if>
                    
                    <a href="/SPD/{translate(./DisplayName,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp">
                    <xsl:value-of select="./DisplayName"/>
                    </a><br />
                    
                    <xsl:value-of select="./DisplayDesc"/>
                    
		</div>
    </xsl:otherwise>
    </xsl:choose>
    </xsl:for-each>

	<!-- end item DIVs -->
	</td></tr>
</table>
</xsl:if>
</xsl:for-each>

</xsl:template>
<!-- end item list -->		
    
</xsl:stylesheet> 
